### Signal

# Atk Object::focus-event

deprecated: 2.9.4

#### Declaration

    void
    focus_event (
      AtkObject* self,
      gboolean arg1,
      gpointer user_data
    )

#### Description [src]

The signal “focus-event” is emitted when an object gained or lost focus.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Deprecated since: 2.9.4
Use the `AtkObject::state-change` signal instead.

#### Parameters

`arg1`

  Type: `gboolean`

  A boolean value which indicates whether the object gained or lost focus.